### Hierarchy

- Interceptor

## Index

### Methods

- basicAuth
- delay
- delayBody
- delayConnection
- getTotalDelay
- once
- optionally
- query
- reply
- replyWithError
- replyWithFile
- socketDelay
- thrice
- times
- twice

## Methods

### basicAuth

- basicAuth(options: object): this

- - Defined in node_modules/@types/nock/index.d.ts:97

  #### Parameters

  - ##### options: object

    - ##### Optional pass?: undefined | string

    - ##### user: string

  #### Returns this

### delay

- delay(opts: number | object): this

- - Defined in node_modules/@types/nock/index.d.ts:105

  #### Parameters

  - ##### opts: number | object

  #### Returns this

### delayBody

- delayBody(timeMs: number): this

- - Defined in node_modules/@types/nock/index.d.ts:106

  #### Parameters

  - ##### timeMs: number

  #### Returns this

### delayConnection

- delayConnection(timeMs: number): this

- - Defined in node_modules/@types/nock/index.d.ts:107

  #### Parameters

  - ##### timeMs: number

  #### Returns this

### getTotalDelay

- getTotalDelay(): number

- - Defined in node_modules/@types/nock/index.d.ts:108

  #### Returns number

### once

- once(): this

- - Defined in node_modules/@types/nock/index.d.ts:100

  #### Returns this

### optionally

- optionally(): this

- - Defined in node_modules/@types/nock/index.d.ts:103

  #### Returns this

### query

- query(params: boolean | function | any): this

- - Defined in node_modules/@types/nock/index.d.ts:89

  #### Parameters

  - ##### params: boolean | function | any

  #### Returns this

### reply

- reply(responseCode: number, body?: string | any, headers?: HttpHeaders): Scope
- reply(responseCode: number, callback: function, headers?: HttpHeaders): Scope
- reply(callback: function, headers?: HttpHeaders): Scope

- - Defined in node_modules/@types/nock/index.d.ts:91

  #### Parameters

  - ##### responseCode: number

  - ##### Optional body: string | any

  - ##### Optional headers: HttpHeaders

  #### Returns Scope

- - Defined in node_modules/@types/nock/index.d.ts:92

  #### Parameters

  - ##### responseCode: number

  - ##### callback: function

    - - (uri: string, body: string, cb?: ReplyCallback): ReplyCallbackResult

      - #### Parameters

        - ##### uri: string

        - ##### body: string

        - ##### Optional cb: ReplyCallback

        #### Returns ReplyCallbackResult

  - ##### Optional headers: HttpHeaders

  #### Returns Scope

- - Defined in node_modules/@types/nock/index.d.ts:93

  #### Parameters

  - ##### callback: function

    - - (uri: string, body: string, cb?: ReplyCallback): ReplyCallbackResult

      - #### Parameters

        - ##### uri: string

        - ##### body: string

        - ##### Optional cb: ReplyCallback

        #### Returns ReplyCallbackResult

  - ##### Optional headers: HttpHeaders

  #### Returns Scope

### replyWithError

- replyWithError(errorMessage: string | any): Scope

- - Defined in node_modules/@types/nock/index.d.ts:94

  #### Parameters

  - ##### errorMessage: string | any

  #### Returns Scope

### replyWithFile

- replyWithFile(responseCode: number, fileName: string, headers?: HttpHeaders): Scope

- - Defined in node_modules/@types/nock/index.d.ts:95

  #### Parameters

  - ##### responseCode: number

  - ##### fileName: string

  - ##### Optional headers: HttpHeaders

  #### Returns Scope

### socketDelay

- socketDelay(timeMs: number): this

- - Defined in node_modules/@types/nock/index.d.ts:109

  #### Parameters

  - ##### timeMs: number

  #### Returns this

### thrice

- thrice(): this

- - Defined in node_modules/@types/nock/index.d.ts:102

  #### Returns this

### times

- times(newCounter: number): this

- - Defined in node_modules/@types/nock/index.d.ts:99

  #### Parameters

  - ##### newCounter: number

  #### Returns this

### twice

- twice(): this

- - Defined in node_modules/@types/nock/index.d.ts:101

  #### Returns this

Generated using TypeDoc